# eric6.QScintilla.TypingCompleters.__init__

Package implementing lexers for the various supported programming languages.

### Global Attributes

None

### Classes

None

### Functions

getCompleter | Module function to instantiate a lexer object for a given language.

## getCompleter

getCompleter(language, editor, parent=None)

Module function to instantiate a lexer object for a given language.

language
  language of the lexer (string)
editor
  reference to the editor object (QScintilla.Editor)
parent
  reference to the parent object (QObject)

Returns:
  reference to the instanciated lexer object (QsciLexer)

Up